org.springframework.batch.core.configuration.support

## Class ClassPathXmlApplicationContextFactory

- java.lang.Object
- - org.springframework.batch.core.configuration.support.AbstractApplicationContextFactory
  - - org.springframework.batch.core.configuration.support.GenericApplicationContextFactory
    - - org.springframework.batch.core.configuration.support.ClassPathXmlApplicationContextFactory

- All Implemented Interfaces:
    ApplicationContextFactory, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

  Deprecated.
  use `GenericApplicationContextFactory` instead

      @Deprecated
      public class ClassPathXmlApplicationContextFactory
      extends GenericApplicationContextFactory

  `ApplicationContextFactory` implementation that takes a parent context and a path to the context to create. When createApplicationContext method is called, the child `ApplicationContext` will be returned. The child context is not re-created every time it is requested, it is lazily initialized and cached. Clients should ensure that it is closed when it is no longer needed. If a path is not set, the parent will always be returned.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassPathXmlApplicationContextFactory(org.springframework.core.io.Resource resource)` Deprecated. Create an application context factory for the resource specified.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.batch.core.configuration.support.GenericApplicationContextFactory

      `createApplicationContext`

    - ### Methods inherited from class org.springframework.batch.core.configuration.support.AbstractApplicationContextFactory

      `createApplicationContext, equals, getBeanFactoryPostProcessorClasses, hashCode, isCopyConfiguration, prepareBeanFactory, prepareContext, setApplicationContext, setBeanFactoryPostProcessorClasses, setBeanPostProcessorExcludeClasses, setCopyConfiguration, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassPathXmlApplicationContextFactory

          public ClassPathXmlApplicationContextFactory(org.springframework.core.io.Resource resource)

      Deprecated.
      Create an application context factory for the resource specified.
      Parameters:
        `resource` - a resource (XML configuration file)